Skip to content

Update Live Activity

post

/messages/live_activity/update

Use this endpoint to update and end Live Activities displayed by your iOS app. This endpoint requires additional setup.

After you register a Live Activity, you can pass a JSON payload to update your Apple Push Notification service (APNs). See Apple’s documentation on updating your Live Activity with push notification payloads for more information.

If content-available isn’t set, the default Apple Push Notification service (APNs) priority is 10. If content-available is set, this priority is 5. Refer to Apple push object for more details.

Endpoint reference

This reference is generated from the OpenAPI specification for this endpoint. To run the endpoint, copy the generated cURL example and send it from your terminal or Postman. You can also download the raw OpenAPI spec for this page at /docs/assets/api/openapi/messaging_live_activity_update.yaml. Use this spec to validate that your requests include the correct parameters, fields, and structure before you send them. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!